img {
  position: absolute;
  bottom: 1rem;
  width: 7.5vh;
  z-index: 9999;
}

.pasture {
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
}

.commandLine {
  position: absolute;
  bottom: 0;
  left: 0;
  height: 4vh;
  width: 100%;
  padding: 1rem;
  padding-left: 7.5vh;
  background-color: #3f3f3f;
  z-index: 98;
}

.commandLine > .text-light {
  font-size: 1.5rem;
}

.keyList {
  position: absolute;
  right: 1vw;
  bottom: 4vh;
}

/* ====================================================================================================================
    RaaM Animation
 ==================================================================================================================== */

.jump {animation: jump 5s 0.000s ease-out infinite;}
.jump1 {animation: jump 5s -0.991s ease-out infinite;}
.jump2 {animation: jump 5s -1.431s ease-out infinite;}
.jump3 {animation: jump 5s -1.835s ease-out infinite;}
.jump4 {animation: jump 5s -2.083s ease-out infinite;}
.jump5 {animation: jump 5s -2.121s ease-out infinite;}
.jump6 {animation: jump 5s -2.404s ease-out infinite;}
.jump7 {animation: jump 5s -2.643s ease-out infinite;}
.jump8 {animation: jump 5s -3.026s ease-out infinite;}
.jump9 {animation: jump 5s -3.936s ease-out infinite;}
.jump10 {animation: jump 5s -4.326s ease-out infinite;}
.jump11 {animation: jump 5s -4.462s ease-out infinite;}
.jump12 {animation: jump 5s -4.697s ease-out infinite;}

.jumpp {animation:   jumpp 5s 0.000s ease-out infinite;}
.jumpp1 {animation:  jumpp 5s -0.991s ease-out infinite;}
.jumpp2 {animation:  jumpp 5s -1.431s ease-out infinite;}
.jumpp3 {animation:  jumpp 5s -1.835s ease-out infinite;}
.jumpp4 {animation:  jumpp 5s -2.083s ease-out infinite;}
.jumpp5 {animation:  jumpp 5s -2.121s ease-out infinite;}
.jumpp6 {animation:  jumpp 5s -2.404s ease-out infinite;}
.jumpp7 {animation:  jumpp 5s -2.643s ease-out infinite;}
.jumpp8 {animation:  jumpp 5s -3.026s ease-out infinite;}
.jumpp9 {animation:  jumpp 5s -3.936s ease-out infinite;}
.jumpp10 {animation: jumpp 5s -4.326s ease-out infinite;}
.jumpp11 {animation: jumpp 5s -4.462s ease-out infinite;}
.jumpp12 {animation: jumpp 5s -4.697s ease-out infinite;}

@keyframes jump {
  0%   { transform: scale(1,1)      translateY(0)       translateX(-10vw); }

  5%   { transform: scale(1.1,.9)    translateY(0)      translateX(0); }
  18%   { transform: scale(.9,1.1)   translateY(-8vh)   translateX(20vw); }
  25%   { transform: scale(1.05,.95) translateY(0)      translateX(22vw); }

  31%   { transform: scale(.9,1.1)   translateY(-10vh)  translateX(40vw); }
  46%   { transform: scale(1.05,.95) translateY(0)      translateX(42vw); }

  55%   { transform: scale(.9,1.1)   translateY(-14vh)  translateX(60vw); }
  65%   { transform: scale(1.05,.95) translateY(0)      translateX(62vw); }

  78%   { transform: scale(.9,1.1)   translateY(-15vh)  translateX(80vw); }
  84%   { transform: scale(1.05,.95) translateY(0)      translateX(82vw); }

  94%   { transform: scale(.9,1.1)   translateY(-9vh)  translateX(100vw); }
  100% { transform: scale(1,1)      translateY(0)       translateX(102vw);}
}

@keyframes jumpp {
  0%   { transform: scale(1,1)      translateY(-12vh) translateX(-10vw); }

  4%   { transform: scale(1.1,.9)    translateY(-12vh) translateX(-10vw); }
  16%   { transform: scale(.9,1.1)   translateY(0)     translateX(5vw); }
  22%   { transform: scale(1.05,.95) translateY(-12vh) translateX(9vw); }

  32%   { transform: scale(.9,1.1)   translateY(0)     translateX(29vw); }
  41%   { transform: scale(1.05,.95) translateY(-16vh) translateX(34vw); }

  54%   { transform: scale(.9,1.1)   translateY(0)     translateX(50vw); }
  66%   { transform: scale(1.05,.95) translateY(-8vh)  translateX(52vw); }

  72%   { transform: scale(.9,1.1)   translateY(0)     translateX(75vw); }
  86%   { transform: scale(1.05,.95) translateY(-10vh) translateX(77vw); }

  95%   { transform: scale(.9,1.1)   translateY(0)     translateX(94vw); }
  100% { transform: scale(1,1)      translateY(-11vh)  translateX(100vw);}
}

@keyframes rotate {
  100% {
    transform: rotate(-360deg);
  }
}

/* ====================================================================================================================
    Courser Animation
 ==================================================================================================================== */

.textCursor {
  -webkit-animation: NAME-YOUR-ANIMATION 1.5s infinite; /* Safari 4+ */
  -moz-animation: NAME-YOUR-ANIMATION 1.5s infinite; /* Fx 5+ */
  -o-animation: NAME-YOUR-ANIMATION 1.5s infinite; /* Opera 12+ */
  animation: NAME-YOUR-ANIMATION 1.5s infinite; /* IE 10+, Fx 29+ */
}

@-webkit-keyframes NAME-YOUR-ANIMATION {
  0% {
    opacity: 0;
  }
  50% {
    opacity: 1;
  }
  100% {
    opacity: 0;
  }
}

@-moz-keyframes NAME-YOUR-ANIMATION {
  0% {
    opacity: 0;
  }
  50% {
    opacity: 1;
  }
  100% {
    opacity: 0;
  }
}

@-o-keyframes NAME-YOUR-ANIMATION {
  0% {
    opacity: 0;
  }
  50% {
    opacity: 1;
  }
  100% {
    opacity: 0;
  }
}

@keyframes NAME-YOUR-ANIMATION {
  0% {
    opacity: 0;
  }
  50% {
    opacity: 1;
  }
  100% {
    opacity: 0;
  }
}
